/**
 * Convert a string into hiragana.
 * @function lib.string.toHiragana
 * @param {string} str - String to convert.
 * @returns {string} - Hiragana string.
 * @author Taka Okunishi
 *
 */
var _patterns = require('./_patterns');
module.exports = function (str) {
    return str && str.replace(_patterns.KATAKANA, function ($0) {
        return String.fromCharCode($0.charCodeAt(0) - 0x60);
    });
};